;
; robin of the wood 48k patch
; mailto:jp@drumfu.com
; january 2012
;
; patch to fix interrupt vector
; so game will work on later amstrad models
;
	org $8000
;
;	xor a
;	ld bc,65535-epatch
;	ld hl,epatch
;	ld de,epatch+1
;	ld (hl),a
;	ldir
;
loader	ld ix,$5ccb		; start address of basic
	ld de,$01ef		; length of basic
	ld a,$ff
	scf
	call $0556		; load basic block
	jr nc,loader		; load ok? no - try again
;
	ld hl,($5ce3)		; fetch length of data block
	ld de,$07		; reduce data block length
	sbc hl,de		; to make room 
	ld ($5ce3),hl		; for patch
;
	ld hl,patch		
	ld de,$ffe8
	ld bc,epatch-patch
	ld ($5ce0),de		; fix loader to execute patch
	ldir			; copy patch
;
	ld a,$ff		; signal loading a data block
	ld de,$5ec0		; spoof old address
	jp $5cd2		; and start the loader
;
patch	ld bc,$ff00
pause	dec bc
	djnz pause		; pause
;
	ld a,$3b
	ld ($d099),a		; fix interrupt vector
	xor a
	ld ($be32),a		; infinite energy
;
	jp $bf70		; start game
epatch	equ $
;
	end
