;
; arc of yesod 48k patch
; mailto:jp@drumfu.com
; january 2012
;
; patch to fix interrupt vector
; so game will work on later amstrad models
;
; note: this patch must be loaded in 48k mode!
;
	org $ea60
;
;	xor a
;	ld bc,65535-epatch
;	ld hl,epatch
;	ld de,epatch+1
;	ld (hl),a
;	ldir
;
loader	ld ix,$3570		; lower start address!
	ld de,$2590		; length of code
	ld a,$ff
	scf
	call $0556		; load code block
	jr nc,loader		; load ok? no - try again
;
gameblk	ld ix,$5b00		; start address
	ld de,$8500		; length of code
	ld a,$ff
	scf
	call $0556		; load game block
	jr nc,gameblk		; load ok?, no try again
;
patch	ld a,$3b
	ld ($b8fa),a		; fix interrupt vector
;
cheat	xor a
	ld ($baa7),a		; infinite lives
;
	jp $5b00		; start game
;
epatch	equ $
;
	end
